PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | List of all members
PSafeDictionary< K, D >::const_iterator Class Reference

`#include <safecoll.h>`

Inheritance diagram for PSafeDictionary< K, D >::const_iterator:
[legend]
Collaboration diagram for PSafeDictionary< K, D >::const_iterator:
[legend]

## Public Member Functions
| const_iterator ()
| const_iterator (const typename dict_type::iterator &it)
const_iterator | operator++ ()
const_iterator | operator-- ()
const_iterator | operator++ (int)
const_iterator | operator-- (int)
const iterator_pair * | operator-> () const
const iterator_pair & | operator* () const
Public Member Functions inherited from PSafeDictionary< K, D >::iterator_base
bool | operator== (const iterator_base &it) const
bool | operator!= (const iterator_base &it) const

## Protected Member Functions
| const_iterator (const dict_type *dict)
| const_iterator (const dict_type *dict, const K &key)
Protected Member Functions inherited from PSafeDictionary< K, D >::iterator_base
| iterator_base ()
| iterator_base (const dict_type *dict)
| iterator_base (const dict_type *dict, const K &key)
bool | SetPosition (PINDEX position)
void | Next ()
void | Prev ()

## Additional Inherited Members
Protected Attributes inherited from PSafeDictionary< K, D >::iterator_base
K * | m_internal_first
value_type | m_internal_second
const dict_type * | m_dictionary
PArray< K > | m_keys
PINDEX | m_position

## Constructor & Destructor Documentation

template<class K , class D >

PSafeDictionary< K, D >::const_iterator::const_iterator | ( | const dict_type * | dict | ) |
| inline protected

template<class K , class D >

PSafeDictionary< K, D >::const_iterator::const_iterator | ( | const dict_type * | dict,
|  | const K & | key
| ) |  |
| inline protected

template<class K , class D >

PSafeDictionary< K, D >::const_iterator::const_iterator | ( |  | ) |
| inline

template<class K , class D >

PSafeDictionary< K, D >::const_iterator::const_iterator | ( | const typename dict_type::iterator & | it | ) |
| inline

## Member Function Documentation

template<class K , class D >

const iterator_pair& PSafeDictionary< K, D >::const_iterator::operator* | ( |  | ) | const
| inline

template<class K , class D >

const_iterator PSafeDictionary< K, D >::const_iterator::operator++ | ( |  | ) |
| inline

References PSafeDictionary< K, D >::iterator_base::Next().

template<class K , class D >

const_iterator PSafeDictionary< K, D >::const_iterator::operator++ | ( | int |  | ) |
| inline

References PSafeDictionary< K, D >::iterator_base::Next().

template<class K , class D >

const_iterator PSafeDictionary< K, D >::const_iterator::operator-- | ( |  | ) |
| inline

References PSafeDictionary< K, D >::iterator_base::Prev().

template<class K , class D >

const_iterator PSafeDictionary< K, D >::const_iterator::operator-- | ( | int |  | ) |
| inline

References PSafeDictionary< K, D >::iterator_base::Prev().

template<class K , class D >

const iterator_pair* PSafeDictionary< K, D >::const_iterator::operator-> | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- safecoll.h